
/***************************************************************************
*
* AutomateIT -- MS Office COM objects cloner
* 
* Copyright (C) 2005 by ApriorIT <support@apriorit.com>
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
****************************************************************************/

#pragma once

#include <AutoWrapper.h>


/*
	CPropertyValue class implements methods that allows 
	Retrieving/setting OpenOffice object properties. It wraps com.sun.star.beans.PropertyValue class 
	for easier usage.
*/
class CPropertyValue
{
	IDispatch *m_pdVal;
public :
	CPropertyValue(IDispatch *pdParent);
	HRESULT SetPropertyValue(CComVariant vName, CComVariant vValue);
	IDispatch* GetValueDispatch();
	BOOL IsValid();
	~CPropertyValue();
};