/***************************************************************************
*
* AutomateIT -- MS Office COM objects cloner
* 
* Copyright (C) 2005 by ApriorIT <support@apriorit.com>
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
****************************************************************************/

#include "stdafx.h"
#include "WordStyle.h"

using namespace AutomateIT;
using namespace AutomateIT::WordClone;

CWordStyle::CWordStyle()
{
	TRACINGMETHOD;
}

CWordStyle::~CWordStyle()
{
	TRACINGMETHOD;
}

STDMETHODIMP CWordStyle::get_Application(IApplication** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Creator(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Parent(LPDISPATCH* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_NameLocal(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_NameLocal(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_BaseStyle(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_BaseStyle(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Description(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Type(WdStyleType* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_BuiltIn(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_NextParagraphStyle(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_NextParagraphStyle(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_InUse(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Shading(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Borders(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_Borders(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_ParagraphFormat(_ParagraphFormat** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_ParagraphFormat(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Font(_Font** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_Font(_Font* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Frame(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_LanguageID(WdLanguageID* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_LanguageID(WdLanguageID prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_AutomaticallyUpdate(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_AutomaticallyUpdate(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_ListTemplate(ListTemplate** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_ListLevelNumber(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_LanguageIDFarEast(WdLanguageID* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_LanguageIDFarEast(WdLanguageID prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Hidden(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_Hidden(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::Delete()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::LinkToListTemplate(ListTemplate* ListTemplate, VARIANT* ListLevelNumber)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_NoProofing(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_NoProofing(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_LinkStyle(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_LinkStyle(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Visibility(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_Visibility(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_NoSpaceBetweenParagraphsOfSameStyle(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_NoSpaceBetweenParagraphsOfSameStyle(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Table(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::get_Locked(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordStyle::put_Locked(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}